org.wildfly.swarm.config.management.access.syslog_handler

## Class UdpProtocol<T extends UdpProtocol<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.access.syslog_handler.UdpProtocol<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class UdpProtocol<T extends UdpProtocol<T>>
      extends HashMap

  Configuration to append to syslog over udp/ip.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UdpProtocol()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `host()` The host of the syslog server for the udp requests.
    `T` | `host(String value)` The host of the syslog server for the udp requests.
    `Integer` | `port()` The port of the syslog server for the udp requests.
    `T` | `port(Integer value)` The port of the syslog server for the udp requests.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### UdpProtocol

          public UdpProtocol()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### host

          public String host()

      The host of the syslog server for the udp requests.

    - #### host

          public T host(String value)

      The host of the syslog server for the udp requests.

    - #### port

          public Integer port()

      The port of the syslog server for the udp requests.

    - #### port

          public T port(Integer value)

      The port of the syslog server for the udp requests.

Copyright © 2017 JBoss by Red Hat. All rights reserved.